import type {
  QuizQuestionBase,
  QuestionBranchingRule,
  QuestionHint,
} from "./shared";

interface ResultQuestionBranchingRule extends QuestionBranchingRule {
  minScore?: number
}
export interface QuizQuestionResult extends QuizQuestionBase {
  type: "result";
  content: {
    id: string;
    back: string;
    originalBack: string;
    video: string;
    innerName: string;
    text: string;
    price: [number] | [number, number];
    useImage: boolean;
    rule: ResultQuestionBranchingRule,
    hint: QuestionHint;
    autofill: boolean;
    redirect: string
  };
}
