export interface BannerWidgetComponentProps {
    quizId: string;
    position: "topleft" | "topright" | "bottomleft" | "bottomright";
    onWidgetClose?: () => void;
    appealText?: string;
    quizHeaderText?: string;
    buttonTextColor?: string;
    buttonBackgroundColor?: string;
    /**
     * Открыть квиз через X секунд, 0 - сразу
     */
    autoShowQuizTime?: number | null;
    openOnLeaveAttempt?: boolean;
    buttonFlash?: boolean;
    hideOnMobile?: boolean;
    withShadow?: boolean;
    rounded?: boolean;
    bannerFullWidth?: boolean;
    pulsation?: boolean;
}

export type BannerWidgetParams = Omit<BannerWidgetComponentProps, "onWidgetClose">;
