export interface SideWidgetComponentProps {
    quizId: string;
    position: "left" | "right";
    buttonBackgroundColor?: string;
    buttonTextColor?: string;
    dialogDimensions?: { width: string; height: string; };
    fullScreen?: boolean;
    buttonFlash?: boolean;
    /**
     * Скрывать виджет первые X секунд
     */
    autoOpenTime?: number;
    /**
     * Открыть квиз через X секунд, 0 - сразу
     */
    autoShowQuizTime?: number | null;
    hideOnMobile?: boolean;
}

export type SideWidgetParams = SideWidgetComponentProps;
